## pydle 0.9.4

=== requirements.txt ===
pure-sasl >=0.1.6

=== debian/changelog ===
pydle (0.9.4-4) unstable; urgency=medium

  * Team upload.
  * Patch: Remove Deprecated Marker from WHOIS. (Closes: #1031974)
  * Patch: Remove not used coroutine import.
  * Patch: Fixup irccat.py example.

 -- Bastian Germann <bage@debian.org>  Wed, 22 Mar 2023 11:57:39 +0100

pydle (0.9.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Jun 2022 16:45:53 -0400

pydle (0.9.4-2) unstable; urgency=medium

  * Source-only upload to allow migration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Jul 2020 01:29:30 +0000

pydle (0.9.4-1) unstable; urgency=medium

  * Support RC versions in debian/watch.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Jul 2020 02:17:00 +0000

pydle (0.9.3-1) unstable; urgency=medium

  * Initial release. (Closes: #955748)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Apr 2020 15:28:50 +0000

=== debian/control ===
Source: pydle
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://github.com/Shizmob/pydle
Build-Depends: debhelper-compat (= 13), python3-all, python3-pure-sasl, python3-pytest, dh-python | dh-sequence-python3, python3-setuptools
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/pydle.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydle
Priority: optional
Rules-Requires-Root: no

Package: python3-pydle
Recommends: python3-pure-sasl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: compact, flexible and standards-abiding IRC library for Python
 Standards-compliant and flexible IRC library for Python, with a modularized
 feature system.
 .
 Based on RFC1459 with some small extension tweaks, with full support of
 optional extension standards:
 .
  * TLS
  * CTCP
  * (coming soon) DCC and extensions
  * ISUPPORT/PROTOCTL
  * IRCv3.1 (full)
  * IRCv3.2 (base complete, most optional extensions)
  * IRCv3.3 (base in progress)
 .
 The library is built using Python 3 asynchronous functions.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/pydle-$1\.tar\.gz/,uversionmangle=s/(\d)((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ https://github.com/Shizmob/pydle/tags .*\/v(\d\S+)\.tar\.gz
